package alpha.android.hanoi;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    private static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "alpha.android.hanoi", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "alpha.android.hanoi", "main");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
		processBA.raiseEvent(_activity, "activity_pause", activityBA.activity.isFinishing());
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
	
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _back = null;
public static anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper _rect = null;
public static int _x = 0;
public static int _y = 0;
public static int _boxsize = 0;
public static int[] _pole1 = null;
public static int[] _pole2 = null;
public static int[] _pole3 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spinner1 = null;
public static int _rings = 0;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext3 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview1 = null;
public anywheresoftware.b4a.objects.drawable.CanvasWrapper _as1 = null;
public static int _touchx = 0;
public static int _top1 = 0;
public static int _top2 = 0;
public static int _top3 = 0;
public static int _fr_click = 0;
public static int _to_click = 0;
public static int _ctr = 0;
public static String  _activity_create(boolean _firsttime) throws Exception{
int _i = 0;
 BA.debugLineNum = 41;BA.debugLine="Activity.LoadLayout(\"hanoi.bal\")";
mostCurrent._activity.LoadLayout("hanoi.bal",mostCurrent.activityBA);
 BA.debugLineNum = 42;BA.debugLine="Spinner1.AddAll(Array As String(\"3\",\"4\",\"5\"))";
mostCurrent._spinner1.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"3","4","5"}));
 BA.debugLineNum = 43;BA.debugLine="Spinner1.SelectedIndex=0";
mostCurrent._spinner1.setSelectedIndex((int)(0));
 BA.debugLineNum = 44;BA.debugLine="EditText1.text=7";
mostCurrent._edittext1.setText((Object)(7));
 BA.debugLineNum = 46;BA.debugLine="back.Initialize(File.DirAssets, \"tower1.jpg\")";
_back.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"tower1.jpg");
 BA.debugLineNum = 48;BA.debugLine="rings=3";
_rings = (int)(3);
 BA.debugLineNum = 50;BA.debugLine="button1_click";
_button1_click();
 BA.debugLineNum = 52;BA.debugLine="touchx=0";
_touchx = (int)(0);
 BA.debugLineNum = 54;BA.debugLine="Dim i As Int";
_i = 0;
 BA.debugLineNum = 55;BA.debugLine="For i=0 To 4";
{
final double step36 = 1;
final double limit36 = (int)(4);
for (_i = (int)(0); (step36 > 0 && _i <= limit36) || (step36 < 0 && _i >= limit36); _i += step36) {
 BA.debugLineNum = 56;BA.debugLine="pole2(i)=0";
_pole2[_i] = (int)(0);
 BA.debugLineNum = 57;BA.debugLine="pole3(i)=0";
_pole3[_i] = (int)(0);
 BA.debugLineNum = 58;BA.debugLine="Next";
}
};
 BA.debugLineNum = 62;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 BA.debugLineNum = 70;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 BA.debugLineNum = 66;BA.debugLine="End Sub";
return "";
}
public static String  _activity_touch(int _action,float _tx,float _ty) throws Exception{
 BA.debugLineNum = 87;BA.debugLine="If Not(Action = Activity.ACTION_DOWN) Then Return";
if (anywheresoftware.b4a.keywords.Common.Not(_action==mostCurrent._activity.ACTION_DOWN)) { 
if (true) return "";};
 BA.debugLineNum = 94;BA.debugLine="If	 tx > 12 AND tx <95 AND ty >62 AND ty<266 Then";
if (_tx>(float)(12) && _tx<(float)(95) && _ty>(float)(62) && _ty<(float)(266)) { 
 BA.debugLineNum = 98;BA.debugLine="ctr=ctr+1";
_ctr = (int)(_ctr+1);
 BA.debugLineNum = 101;BA.debugLine="If ctr=1 Then";
if (_ctr==(int)(1)) { 
 BA.debugLineNum = 102;BA.debugLine="fr_click=1";
_fr_click = (int)(1);
 BA.debugLineNum = 103;BA.debugLine="End If";
};
 BA.debugLineNum = 106;BA.debugLine="If ctr=2 Then";
if (_ctr==(int)(2)) { 
 BA.debugLineNum = 107;BA.debugLine="to_click=1";
_to_click = (int)(1);
 BA.debugLineNum = 108;BA.debugLine="End If";
};
 BA.debugLineNum = 112;BA.debugLine="End If";
};
 BA.debugLineNum = 115;BA.debugLine="If	 tx > 120 AND tx <202 AND ty >62 AND ty<266 Then";
if (_tx>(float)(120) && _tx<(float)(202) && _ty>(float)(62) && _ty<(float)(266)) { 
 BA.debugLineNum = 119;BA.debugLine="ctr=ctr+1";
_ctr = (int)(_ctr+1);
 BA.debugLineNum = 121;BA.debugLine="If ctr=1 Then";
if (_ctr==(int)(1)) { 
 BA.debugLineNum = 122;BA.debugLine="fr_click=2";
_fr_click = (int)(2);
 BA.debugLineNum = 123;BA.debugLine="End If";
};
 BA.debugLineNum = 125;BA.debugLine="If ctr=2 Then";
if (_ctr==(int)(2)) { 
 BA.debugLineNum = 126;BA.debugLine="to_click=2";
_to_click = (int)(2);
 BA.debugLineNum = 127;BA.debugLine="End If";
};
 BA.debugLineNum = 131;BA.debugLine="End If";
};
 BA.debugLineNum = 133;BA.debugLine="If	 tx > 225 AND tx <308 AND ty >62 AND ty<266 Then";
if (_tx>(float)(225) && _tx<(float)(308) && _ty>(float)(62) && _ty<(float)(266)) { 
 BA.debugLineNum = 137;BA.debugLine="ctr=ctr+1";
_ctr = (int)(_ctr+1);
 BA.debugLineNum = 139;BA.debugLine="If ctr=1 Then";
if (_ctr==(int)(1)) { 
 BA.debugLineNum = 140;BA.debugLine="fr_click=3";
_fr_click = (int)(3);
 BA.debugLineNum = 141;BA.debugLine="End If";
};
 BA.debugLineNum = 143;BA.debugLine="If ctr=2 Then";
if (_ctr==(int)(2)) { 
 BA.debugLineNum = 144;BA.debugLine="to_click=3";
_to_click = (int)(3);
 BA.debugLineNum = 145;BA.debugLine="End If";
};
 BA.debugLineNum = 149;BA.debugLine="End If";
};
 BA.debugLineNum = 152;BA.debugLine="If fr_click=to_click Then";
if (_fr_click==_to_click) { 
 BA.debugLineNum = 153;BA.debugLine="fr_click=0";
_fr_click = (int)(0);
 BA.debugLineNum = 154;BA.debugLine="to_click=0";
_to_click = (int)(0);
 BA.debugLineNum = 155;BA.debugLine="ctr=0";
_ctr = (int)(0);
 BA.debugLineNum = 156;BA.debugLine="End If";
};
 BA.debugLineNum = 163;BA.debugLine="If ctr=2 Then";
if (_ctr==(int)(2)) { 
 BA.debugLineNum = 165;BA.debugLine="ctr=0";
_ctr = (int)(0);
 BA.debugLineNum = 167;BA.debugLine="touchx=touchx+1";
_touchx = (int)(_touchx+1);
 BA.debugLineNum = 168;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 170;BA.debugLine="movex";
_movex();
 BA.debugLineNum = 172;BA.debugLine="statusx";
_statusx();
 BA.debugLineNum = 174;BA.debugLine="fr_click=0";
_fr_click = (int)(0);
 BA.debugLineNum = 175;BA.debugLine="to_click=0";
_to_click = (int)(0);
 BA.debugLineNum = 177;BA.debugLine="Else If ctr>2 Then";
}else if(_ctr>(int)(2)) { 
 BA.debugLineNum = 178;BA.debugLine="ctr=0";
_ctr = (int)(0);
 BA.debugLineNum = 180;BA.debugLine="End If";
};
 BA.debugLineNum = 181;BA.debugLine="EditText3.text=ctr";
mostCurrent._edittext3.setText((Object)(_ctr));
 BA.debugLineNum = 187;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
int _i = 0;
 BA.debugLineNum = 502;BA.debugLine="Rect.Initialize(0, 0, 0, 0)";
_rect.Initialize((int)(0),(int)(0),(int)(0),(int)(0));
 BA.debugLineNum = 503;BA.debugLine="as1.Initialize(Activity) 'Initialize the as (drawer) and makes it draw on the activity (form).";
mostCurrent._as1.Initialize((android.view.View)(mostCurrent._activity.getObject()));
 BA.debugLineNum = 508;BA.debugLine="y=1";
_y = (int)(1);
 BA.debugLineNum = 509;BA.debugLine="x=300";
_x = (int)(300);
 BA.debugLineNum = 510;BA.debugLine="Rect.Top =50";
_rect.setTop((int)(50));
 BA.debugLineNum = 511;BA.debugLine="Rect.Left = 1";
_rect.setLeft((int)(1));
 BA.debugLineNum = 512;BA.debugLine="Rect.Bottom = 315";
_rect.setBottom((int)(315));
 BA.debugLineNum = 513;BA.debugLine="Rect.Right = 341";
_rect.setRight((int)(341));
 BA.debugLineNum = 514;BA.debugLine="as1.DrawBitmap(back, Null, Rect)";
mostCurrent._as1.DrawBitmap((android.graphics.Bitmap)(_back.getObject()),(android.graphics.Rect)(anywheresoftware.b4a.keywords.Common.Null),(android.graphics.Rect)(_rect.getObject()));
 BA.debugLineNum = 521;BA.debugLine="If rings=3 Then";
if (_rings==(int)(3)) { 
 BA.debugLineNum = 522;BA.debugLine="pole1(0)=0";
_pole1[(int)(0)] = (int)(0);
 BA.debugLineNum = 523;BA.debugLine="pole1(1)=0";
_pole1[(int)(1)] = (int)(0);
 BA.debugLineNum = 524;BA.debugLine="pole1(2)=3";
_pole1[(int)(2)] = (int)(3);
 BA.debugLineNum = 525;BA.debugLine="pole1(3)=4";
_pole1[(int)(3)] = (int)(4);
 BA.debugLineNum = 526;BA.debugLine="pole1(4)=5";
_pole1[(int)(4)] = (int)(5);
 BA.debugLineNum = 527;BA.debugLine="End If";
};
 BA.debugLineNum = 530;BA.debugLine="If rings=4 Then";
if (_rings==(int)(4)) { 
 BA.debugLineNum = 531;BA.debugLine="pole1(0)=0";
_pole1[(int)(0)] = (int)(0);
 BA.debugLineNum = 532;BA.debugLine="pole1(1)=2";
_pole1[(int)(1)] = (int)(2);
 BA.debugLineNum = 533;BA.debugLine="pole1(2)=3";
_pole1[(int)(2)] = (int)(3);
 BA.debugLineNum = 534;BA.debugLine="pole1(3)=4";
_pole1[(int)(3)] = (int)(4);
 BA.debugLineNum = 535;BA.debugLine="pole1(4)=5";
_pole1[(int)(4)] = (int)(5);
 BA.debugLineNum = 536;BA.debugLine="End If";
};
 BA.debugLineNum = 539;BA.debugLine="If rings=5 Then";
if (_rings==(int)(5)) { 
 BA.debugLineNum = 540;BA.debugLine="pole1(0)=1";
_pole1[(int)(0)] = (int)(1);
 BA.debugLineNum = 541;BA.debugLine="pole1(1)=2";
_pole1[(int)(1)] = (int)(2);
 BA.debugLineNum = 542;BA.debugLine="pole1(2)=3";
_pole1[(int)(2)] = (int)(3);
 BA.debugLineNum = 543;BA.debugLine="pole1(3)=4";
_pole1[(int)(3)] = (int)(4);
 BA.debugLineNum = 544;BA.debugLine="pole1(4)=5";
_pole1[(int)(4)] = (int)(5);
 BA.debugLineNum = 545;BA.debugLine="End If";
};
 BA.debugLineNum = 549;BA.debugLine="Dim i As Int";
_i = 0;
 BA.debugLineNum = 550;BA.debugLine="For i=0 To 4";
{
final double step309 = 1;
final double limit309 = (int)(4);
for (_i = (int)(0); (step309 > 0 && _i <= limit309) || (step309 < 0 && _i >= limit309); _i += step309) {
 BA.debugLineNum = 551;BA.debugLine="pole2(i)=0";
_pole2[_i] = (int)(0);
 BA.debugLineNum = 552;BA.debugLine="pole3(i)=0";
_pole3[_i] = (int)(0);
 BA.debugLineNum = 553;BA.debugLine="Next";
}
};
 BA.debugLineNum = 555;BA.debugLine="touchx=0";
_touchx = (int)(0);
 BA.debugLineNum = 556;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 562;BA.debugLine="statusx";
_statusx();
 BA.debugLineNum = 566;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static String  _globals() throws Exception{
 BA.debugLineNum = 22;BA.debugLine="Dim Spinner1 As Spinner";
mostCurrent._spinner1 = new anywheresoftware.b4a.objects.SpinnerWrapper();
 BA.debugLineNum = 23;BA.debugLine="Dim rings As Int";
_rings = 0;
 BA.debugLineNum = 24;BA.debugLine="Dim EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 BA.debugLineNum = 25;BA.debugLine="Dim EditText2 As EditText";
mostCurrent._edittext2 = new anywheresoftware.b4a.objects.EditTextWrapper();
 BA.debugLineNum = 26;BA.debugLine="Dim EditText3 As EditText";
mostCurrent._edittext3 = new anywheresoftware.b4a.objects.EditTextWrapper();
 BA.debugLineNum = 27;BA.debugLine="Dim Imageview1 As ImageView";
mostCurrent._imageview1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 BA.debugLineNum = 28;BA.debugLine="Dim as1 As Canvas";
mostCurrent._as1 = new anywheresoftware.b4a.objects.drawable.CanvasWrapper();
 BA.debugLineNum = 30;BA.debugLine="Dim touchx As Int";
_touchx = 0;
 BA.debugLineNum = 31;BA.debugLine="Dim top1 As Int";
_top1 = 0;
 BA.debugLineNum = 32;BA.debugLine="Dim top2 As Int";
_top2 = 0;
 BA.debugLineNum = 33;BA.debugLine="Dim top3 As Int";
_top3 = 0;
 BA.debugLineNum = 34;BA.debugLine="Dim fr_click As Int";
_fr_click = 0;
 BA.debugLineNum = 35;BA.debugLine="Dim to_click As Int";
_to_click = 0;
 BA.debugLineNum = 36;BA.debugLine="Dim ctr As Int";
_ctr = 0;
 BA.debugLineNum = 38;BA.debugLine="End Sub";
return "";
}
public static String  _move_it() throws Exception{
anywheresoftware.b4a.objects.drawable.CanvasWrapper.PathWrapper _path1 = null;
 BA.debugLineNum = 572;BA.debugLine="Dim Path1 As Path";
_path1 = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.PathWrapper();
 BA.debugLineNum = 579;BA.debugLine="If pole1(0)=1 OR pole1(1)=1 OR pole1(2)=1 OR pole1(3)=1 OR pole1(4)=1 Then";
if (_pole1[(int)(0)]==(int)(1) || _pole1[(int)(1)]==(int)(1) || _pole1[(int)(2)]==(int)(1) || _pole1[(int)(3)]==(int)(1) || _pole1[(int)(4)]==(int)(1)) { 
 BA.debugLineNum = 585;BA.debugLine="If pole1(0)=1 Then";
if (_pole1[(int)(0)]==(int)(1)) { 
 BA.debugLineNum = 586;BA.debugLine="Path1.Initialize(12%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(12),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 587;BA.debugLine="Path1.LineTo(22%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(22),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 588;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 590;BA.debugLine="Else If pole1(1)=1 Then";
}else if(_pole1[(int)(1)]==(int)(1)) { 
 BA.debugLineNum = 591;BA.debugLine="Path1.Initialize(12%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(12),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 592;BA.debugLine="Path1.LineTo(22%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(22),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 593;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 595;BA.debugLine="Else If pole1(2)=1 Then";
}else if(_pole1[(int)(2)]==(int)(1)) { 
 BA.debugLineNum = 596;BA.debugLine="Path1.Initialize(12%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(12),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 597;BA.debugLine="Path1.LineTo(22%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(22),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 598;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 600;BA.debugLine="Else If pole1(3)=1 Then";
}else if(_pole1[(int)(3)]==(int)(1)) { 
 BA.debugLineNum = 601;BA.debugLine="Path1.Initialize(12%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(12),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 602;BA.debugLine="Path1.LineTo(22%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(22),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 603;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 605;BA.debugLine="Else If pole1(4)=1 Then";
}else if(_pole1[(int)(4)]==(int)(1)) { 
 BA.debugLineNum = 606;BA.debugLine="Path1.Initialize(12%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(12),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 607;BA.debugLine="Path1.LineTo(22%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(22),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 608;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 609;BA.debugLine="End If";
};
 BA.debugLineNum = 611;BA.debugLine="End If";
};
 BA.debugLineNum = 613;BA.debugLine="If pole1(0)=2 OR pole1(1)=2 OR pole1(2)=2 OR pole1(3)=2 OR pole1(4)=2 Then";
if (_pole1[(int)(0)]==(int)(2) || _pole1[(int)(1)]==(int)(2) || _pole1[(int)(2)]==(int)(2) || _pole1[(int)(3)]==(int)(2) || _pole1[(int)(4)]==(int)(2)) { 
 BA.debugLineNum = 619;BA.debugLine="If pole1(0)=2 Then";
if (_pole1[(int)(0)]==(int)(2)) { 
 BA.debugLineNum = 620;BA.debugLine="Path1.Initialize(9%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 621;BA.debugLine="Path1.LineTo(24%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(24),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 622;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 624;BA.debugLine="Else If pole1(1)=2 Then";
}else if(_pole1[(int)(1)]==(int)(2)) { 
 BA.debugLineNum = 625;BA.debugLine="Path1.Initialize(9%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 626;BA.debugLine="Path1.LineTo(24%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(24),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 627;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 629;BA.debugLine="Else If pole1(2)=2 Then";
}else if(_pole1[(int)(2)]==(int)(2)) { 
 BA.debugLineNum = 630;BA.debugLine="Path1.Initialize(9%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 631;BA.debugLine="Path1.LineTo(24%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(24),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 632;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 634;BA.debugLine="Else If pole1(3)=2 Then";
}else if(_pole1[(int)(3)]==(int)(2)) { 
 BA.debugLineNum = 635;BA.debugLine="Path1.Initialize(9%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 636;BA.debugLine="Path1.LineTo(24%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(24),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 637;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 639;BA.debugLine="Else If pole1(4)=2 Then";
}else if(_pole1[(int)(4)]==(int)(2)) { 
 BA.debugLineNum = 640;BA.debugLine="Path1.Initialize(9%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 641;BA.debugLine="Path1.LineTo(24%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(24),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 642;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 643;BA.debugLine="End If";
};
 BA.debugLineNum = 645;BA.debugLine="End If";
};
 BA.debugLineNum = 647;BA.debugLine="If pole1(0)=3 OR pole1(1)=3 OR pole1(2)=3 OR pole1(3)=3 OR pole1(4)=3 Then";
if (_pole1[(int)(0)]==(int)(3) || _pole1[(int)(1)]==(int)(3) || _pole1[(int)(2)]==(int)(3) || _pole1[(int)(3)]==(int)(3) || _pole1[(int)(4)]==(int)(3)) { 
 BA.debugLineNum = 653;BA.debugLine="If pole1(0)=3 Then";
if (_pole1[(int)(0)]==(int)(3)) { 
 BA.debugLineNum = 654;BA.debugLine="Path1.Initialize(8%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(8),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 655;BA.debugLine="Path1.LineTo(27%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(27),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 656;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 658;BA.debugLine="Else If pole1(1)=3 Then";
}else if(_pole1[(int)(1)]==(int)(3)) { 
 BA.debugLineNum = 659;BA.debugLine="Path1.Initialize(8%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(8),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 660;BA.debugLine="Path1.LineTo(27%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(27),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 661;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 663;BA.debugLine="Else If pole1(2)=3 Then";
}else if(_pole1[(int)(2)]==(int)(3)) { 
 BA.debugLineNum = 664;BA.debugLine="Path1.Initialize(8%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(8),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 665;BA.debugLine="Path1.LineTo(27%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(27),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 666;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 668;BA.debugLine="Else If pole1(3)=3 Then";
}else if(_pole1[(int)(3)]==(int)(3)) { 
 BA.debugLineNum = 669;BA.debugLine="Path1.Initialize(8%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(8),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 670;BA.debugLine="Path1.LineTo(27%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(27),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 671;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 673;BA.debugLine="Else If pole1(4)=3 Then";
}else if(_pole1[(int)(4)]==(int)(3)) { 
 BA.debugLineNum = 674;BA.debugLine="Path1.Initialize(8%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(8),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 675;BA.debugLine="Path1.LineTo(27%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(27),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 676;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 677;BA.debugLine="End If";
};
 BA.debugLineNum = 680;BA.debugLine="End If";
};
 BA.debugLineNum = 682;BA.debugLine="If pole1(0)=4 OR pole1(1)=4 OR pole1(2)=4 OR pole1(3)=4 OR pole1(4)=4 Then";
if (_pole1[(int)(0)]==(int)(4) || _pole1[(int)(1)]==(int)(4) || _pole1[(int)(2)]==(int)(4) || _pole1[(int)(3)]==(int)(4) || _pole1[(int)(4)]==(int)(4)) { 
 BA.debugLineNum = 689;BA.debugLine="If pole1(0)=4 Then";
if (_pole1[(int)(0)]==(int)(4)) { 
 BA.debugLineNum = 690;BA.debugLine="Path1.Initialize(5%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(5),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 691;BA.debugLine="Path1.LineTo(30%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 692;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 694;BA.debugLine="Else If pole1(1)=4 Then";
}else if(_pole1[(int)(1)]==(int)(4)) { 
 BA.debugLineNum = 695;BA.debugLine="Path1.Initialize(5%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(5),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 696;BA.debugLine="Path1.LineTo(30%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 697;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 699;BA.debugLine="Else If pole1(2)=4 Then";
}else if(_pole1[(int)(2)]==(int)(4)) { 
 BA.debugLineNum = 700;BA.debugLine="Path1.Initialize(5%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(5),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 701;BA.debugLine="Path1.LineTo(30%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 702;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 704;BA.debugLine="Else If pole1(3)=4 Then";
}else if(_pole1[(int)(3)]==(int)(4)) { 
 BA.debugLineNum = 705;BA.debugLine="Path1.Initialize(5%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(5),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 706;BA.debugLine="Path1.LineTo(30%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 707;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 709;BA.debugLine="Else If pole1(4)=4 Then";
}else if(_pole1[(int)(4)]==(int)(4)) { 
 BA.debugLineNum = 710;BA.debugLine="Path1.Initialize(5%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(5),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 711;BA.debugLine="Path1.LineTo(30%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 712;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 713;BA.debugLine="End If";
};
 BA.debugLineNum = 715;BA.debugLine="End If";
};
 BA.debugLineNum = 717;BA.debugLine="If pole1(0)=5 OR pole1(1)=5 OR pole1(2)=5 OR pole1(3)=5 OR pole1(4)=5 Then";
if (_pole1[(int)(0)]==(int)(5) || _pole1[(int)(1)]==(int)(5) || _pole1[(int)(2)]==(int)(5) || _pole1[(int)(3)]==(int)(5) || _pole1[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 725;BA.debugLine="If pole1(0)=5 Then";
if (_pole1[(int)(0)]==(int)(5)) { 
 BA.debugLineNum = 726;BA.debugLine="Path1.Initialize(2%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(2),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 727;BA.debugLine="Path1.LineTo(33%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(33),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 728;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 730;BA.debugLine="Else If pole1(1)=5 Then";
}else if(_pole1[(int)(1)]==(int)(5)) { 
 BA.debugLineNum = 731;BA.debugLine="Path1.Initialize(2%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(2),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 732;BA.debugLine="Path1.LineTo(33%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(33),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 733;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 735;BA.debugLine="Else If pole1(2)=5 Then";
}else if(_pole1[(int)(2)]==(int)(5)) { 
 BA.debugLineNum = 736;BA.debugLine="Path1.Initialize(2%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(2),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 737;BA.debugLine="Path1.LineTo(33%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(33),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 738;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 740;BA.debugLine="Else If pole1(3)=5 Then";
}else if(_pole1[(int)(3)]==(int)(5)) { 
 BA.debugLineNum = 741;BA.debugLine="Path1.Initialize(2%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(2),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 742;BA.debugLine="Path1.LineTo(33%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(33),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 743;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 745;BA.debugLine="Else If pole1(4)=5 Then";
}else if(_pole1[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 746;BA.debugLine="Path1.Initialize(2%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(2),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 747;BA.debugLine="Path1.LineTo(33%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(33),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 748;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 749;BA.debugLine="End If";
};
 BA.debugLineNum = 753;BA.debugLine="End If";
};
 BA.debugLineNum = 764;BA.debugLine="If pole2(0)=1 OR pole2(1)=1 OR pole2(2)=1 OR pole2(3)=1 OR pole2(4)=1 Then";
if (_pole2[(int)(0)]==(int)(1) || _pole2[(int)(1)]==(int)(1) || _pole2[(int)(2)]==(int)(1) || _pole2[(int)(3)]==(int)(1) || _pole2[(int)(4)]==(int)(1)) { 
 BA.debugLineNum = 770;BA.debugLine="If pole2(0)=1 Then";
if (_pole2[(int)(0)]==(int)(1)) { 
 BA.debugLineNum = 771;BA.debugLine="Path1.Initialize(46%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(46),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 772;BA.debugLine="Path1.LineTo(55%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(55),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 773;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 775;BA.debugLine="Else If pole2(1)=1 Then";
}else if(_pole2[(int)(1)]==(int)(1)) { 
 BA.debugLineNum = 776;BA.debugLine="Path1.Initialize(46%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(46),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 777;BA.debugLine="Path1.LineTo(55%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(55),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 778;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 780;BA.debugLine="Else If pole2(2)=1 Then";
}else if(_pole2[(int)(2)]==(int)(1)) { 
 BA.debugLineNum = 781;BA.debugLine="Path1.Initialize(46%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(46),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 782;BA.debugLine="Path1.LineTo(55%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(55),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 783;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 785;BA.debugLine="Else If pole2(3)=1 Then";
}else if(_pole2[(int)(3)]==(int)(1)) { 
 BA.debugLineNum = 786;BA.debugLine="Path1.Initialize(46%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(46),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 787;BA.debugLine="Path1.LineTo(55%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(55),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 788;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 790;BA.debugLine="Else If pole2(4)=1 Then";
}else if(_pole2[(int)(4)]==(int)(1)) { 
 BA.debugLineNum = 791;BA.debugLine="Path1.Initialize(46%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(46),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 792;BA.debugLine="Path1.LineTo(55%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(55),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 793;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 794;BA.debugLine="End If";
};
 BA.debugLineNum = 796;BA.debugLine="End If";
};
 BA.debugLineNum = 798;BA.debugLine="If pole2(0)=2 OR pole2(1)=2 OR pole2(2)=2 OR pole2(3)=2 OR pole2(4)=2 Then";
if (_pole2[(int)(0)]==(int)(2) || _pole2[(int)(1)]==(int)(2) || _pole2[(int)(2)]==(int)(2) || _pole2[(int)(3)]==(int)(2) || _pole2[(int)(4)]==(int)(2)) { 
 BA.debugLineNum = 805;BA.debugLine="If pole2(0)=2 Then";
if (_pole2[(int)(0)]==(int)(2)) { 
 BA.debugLineNum = 806;BA.debugLine="Path1.Initialize(44%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(44),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 807;BA.debugLine="Path1.LineTo(57%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(57),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 808;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 810;BA.debugLine="Else If pole2(1)=2 Then";
}else if(_pole2[(int)(1)]==(int)(2)) { 
 BA.debugLineNum = 811;BA.debugLine="Path1.Initialize(44%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(44),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 812;BA.debugLine="Path1.LineTo(57%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(57),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 813;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 815;BA.debugLine="Else If pole2(2)=2 Then";
}else if(_pole2[(int)(2)]==(int)(2)) { 
 BA.debugLineNum = 816;BA.debugLine="Path1.Initialize(44%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(44),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 817;BA.debugLine="Path1.LineTo(57%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(57),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 818;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 820;BA.debugLine="Else If pole2(3)=2 Then";
}else if(_pole2[(int)(3)]==(int)(2)) { 
 BA.debugLineNum = 821;BA.debugLine="Path1.Initialize(44%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(44),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 822;BA.debugLine="Path1.LineTo(57%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(57),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 823;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 825;BA.debugLine="Else If pole2(4)=2 Then";
}else if(_pole2[(int)(4)]==(int)(2)) { 
 BA.debugLineNum = 826;BA.debugLine="Path1.Initialize(44%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(44),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 827;BA.debugLine="Path1.LineTo(57%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(57),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 828;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 829;BA.debugLine="End If";
};
 BA.debugLineNum = 831;BA.debugLine="End If";
};
 BA.debugLineNum = 833;BA.debugLine="If pole2(0)=3 OR pole2(1)=3 OR pole2(2)=3 OR pole2(3)=3 OR pole2(4)=3  Then";
if (_pole2[(int)(0)]==(int)(3) || _pole2[(int)(1)]==(int)(3) || _pole2[(int)(2)]==(int)(3) || _pole2[(int)(3)]==(int)(3) || _pole2[(int)(4)]==(int)(3)) { 
 BA.debugLineNum = 839;BA.debugLine="If pole2(0)=3 Then";
if (_pole2[(int)(0)]==(int)(3)) { 
 BA.debugLineNum = 840;BA.debugLine="Path1.Initialize(42%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(42),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 841;BA.debugLine="Path1.LineTo(61%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(61),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 842;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 844;BA.debugLine="Else If pole2(1)=3 Then";
}else if(_pole2[(int)(1)]==(int)(3)) { 
 BA.debugLineNum = 845;BA.debugLine="Path1.Initialize(42%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(42),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 846;BA.debugLine="Path1.LineTo(61%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(61),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 847;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 849;BA.debugLine="Else If pole2(2)=3 Then";
}else if(_pole2[(int)(2)]==(int)(3)) { 
 BA.debugLineNum = 850;BA.debugLine="Path1.Initialize(42%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(42),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 851;BA.debugLine="Path1.LineTo(61%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(61),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 852;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 854;BA.debugLine="Else If pole2(3)=3 Then";
}else if(_pole2[(int)(3)]==(int)(3)) { 
 BA.debugLineNum = 855;BA.debugLine="Path1.Initialize(42%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(42),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 856;BA.debugLine="Path1.LineTo(61%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(61),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 857;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 859;BA.debugLine="Else If pole2(4)=3 Then";
}else if(_pole2[(int)(4)]==(int)(3)) { 
 BA.debugLineNum = 860;BA.debugLine="Path1.Initialize(42%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(42),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 861;BA.debugLine="Path1.LineTo(61%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(61),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 862;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 863;BA.debugLine="End If";
};
 BA.debugLineNum = 865;BA.debugLine="End If";
};
 BA.debugLineNum = 867;BA.debugLine="If pole2(0)=4 OR pole2(1)=4 OR pole2(2)=4 OR pole2(3)=4 OR pole2(4)=4  Then";
if (_pole2[(int)(0)]==(int)(4) || _pole2[(int)(1)]==(int)(4) || _pole2[(int)(2)]==(int)(4) || _pole2[(int)(3)]==(int)(4) || _pole2[(int)(4)]==(int)(4)) { 
 BA.debugLineNum = 873;BA.debugLine="If pole2(0)=4 Then";
if (_pole2[(int)(0)]==(int)(4)) { 
 BA.debugLineNum = 874;BA.debugLine="Path1.Initialize(39%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(39),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 875;BA.debugLine="Path1.LineTo(64%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(64),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 876;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 878;BA.debugLine="Else If pole2(1)=4 Then";
}else if(_pole2[(int)(1)]==(int)(4)) { 
 BA.debugLineNum = 879;BA.debugLine="Path1.Initialize(39%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(39),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 880;BA.debugLine="Path1.LineTo(64%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(64),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 881;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 883;BA.debugLine="Else If pole2(2)=4 Then";
}else if(_pole2[(int)(2)]==(int)(4)) { 
 BA.debugLineNum = 884;BA.debugLine="Path1.Initialize(39%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(39),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 885;BA.debugLine="Path1.LineTo(64%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(64),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 886;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 888;BA.debugLine="Else If pole2(3)=4 Then";
}else if(_pole2[(int)(3)]==(int)(4)) { 
 BA.debugLineNum = 889;BA.debugLine="Path1.Initialize(39%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(39),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 890;BA.debugLine="Path1.LineTo(64%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(64),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 891;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 893;BA.debugLine="Else If pole2(4)=4 Then";
}else if(_pole2[(int)(4)]==(int)(4)) { 
 BA.debugLineNum = 894;BA.debugLine="Path1.Initialize(39%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(39),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 895;BA.debugLine="Path1.LineTo(64%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(64),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 896;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 897;BA.debugLine="End If";
};
 BA.debugLineNum = 899;BA.debugLine="End If";
};
 BA.debugLineNum = 902;BA.debugLine="If pole2(0)=5 OR pole2(1)=5 OR pole2(2)=5 OR pole2(3)=5 OR pole2(4)=5 Then";
if (_pole2[(int)(0)]==(int)(5) || _pole2[(int)(1)]==(int)(5) || _pole2[(int)(2)]==(int)(5) || _pole2[(int)(3)]==(int)(5) || _pole2[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 909;BA.debugLine="If pole2(0)=5 Then";
if (_pole2[(int)(0)]==(int)(5)) { 
 BA.debugLineNum = 910;BA.debugLine="Path1.Initialize(35%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 911;BA.debugLine="Path1.LineTo(66%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(66),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 912;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 914;BA.debugLine="Else If pole2(1)=5 Then";
}else if(_pole2[(int)(1)]==(int)(5)) { 
 BA.debugLineNum = 915;BA.debugLine="Path1.Initialize(35%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 916;BA.debugLine="Path1.LineTo(66%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(66),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 917;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 919;BA.debugLine="Else If pole2(2)=5 Then";
}else if(_pole2[(int)(2)]==(int)(5)) { 
 BA.debugLineNum = 920;BA.debugLine="Path1.Initialize(35%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 921;BA.debugLine="Path1.LineTo(66%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(66),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 922;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 924;BA.debugLine="Else If pole2(3)=5 Then";
}else if(_pole2[(int)(3)]==(int)(5)) { 
 BA.debugLineNum = 925;BA.debugLine="Path1.Initialize(35%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 926;BA.debugLine="Path1.LineTo(66%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(66),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 927;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 929;BA.debugLine="Else If pole2(4)=5 Then";
}else if(_pole2[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 930;BA.debugLine="Path1.Initialize(35%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 931;BA.debugLine="Path1.LineTo(66%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(66),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 932;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 933;BA.debugLine="End If";
};
 BA.debugLineNum = 937;BA.debugLine="End If";
};
 BA.debugLineNum = 949;BA.debugLine="If pole3(0)=1 OR pole3(1)=1 OR pole3(2)=1 OR pole3(3)=1 OR pole3(4)=1 Then";
if (_pole3[(int)(0)]==(int)(1) || _pole3[(int)(1)]==(int)(1) || _pole3[(int)(2)]==(int)(1) || _pole3[(int)(3)]==(int)(1) || _pole3[(int)(4)]==(int)(1)) { 
 BA.debugLineNum = 955;BA.debugLine="If pole3(0)=1 Then";
if (_pole3[(int)(0)]==(int)(1)) { 
 BA.debugLineNum = 956;BA.debugLine="Path1.Initialize(78%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(78),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 957;BA.debugLine="Path1.LineTo(89%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(89),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 958;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 960;BA.debugLine="Else If pole3(1)=1 Then";
}else if(_pole3[(int)(1)]==(int)(1)) { 
 BA.debugLineNum = 961;BA.debugLine="Path1.Initialize(78%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(78),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 962;BA.debugLine="Path1.LineTo(89%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(89),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 963;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 965;BA.debugLine="Else If pole3(2)=1 Then";
}else if(_pole3[(int)(2)]==(int)(1)) { 
 BA.debugLineNum = 966;BA.debugLine="Path1.Initialize(78%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(78),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 967;BA.debugLine="Path1.LineTo(89%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(89),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 968;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 970;BA.debugLine="Else If pole3(3)=1 Then";
}else if(_pole3[(int)(3)]==(int)(1)) { 
 BA.debugLineNum = 971;BA.debugLine="Path1.Initialize(78%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(78),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 972;BA.debugLine="Path1.LineTo(89%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(89),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 973;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 975;BA.debugLine="Else If pole3(4)=1 Then";
}else if(_pole3[(int)(4)]==(int)(1)) { 
 BA.debugLineNum = 976;BA.debugLine="Path1.Initialize(78%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(78),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 977;BA.debugLine="Path1.LineTo(89%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(89),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 978;BA.debugLine="as1.DrawPath(Path1, Colors.yellow, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 979;BA.debugLine="End If";
};
 BA.debugLineNum = 981;BA.debugLine="End If";
};
 BA.debugLineNum = 984;BA.debugLine="If pole3(0)=2 OR pole3(1)=2 OR pole3(2)=2 OR pole3(3)=2 OR pole3(4)=2 Then";
if (_pole3[(int)(0)]==(int)(2) || _pole3[(int)(1)]==(int)(2) || _pole3[(int)(2)]==(int)(2) || _pole3[(int)(3)]==(int)(2) || _pole3[(int)(4)]==(int)(2)) { 
 BA.debugLineNum = 991;BA.debugLine="If pole3(0)=2 Then";
if (_pole3[(int)(0)]==(int)(2)) { 
 BA.debugLineNum = 992;BA.debugLine="Path1.Initialize(77%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(77),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 993;BA.debugLine="Path1.LineTo(90%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(90),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 994;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 996;BA.debugLine="Else If pole3(1)=2 Then";
}else if(_pole3[(int)(1)]==(int)(2)) { 
 BA.debugLineNum = 997;BA.debugLine="Path1.Initialize(77%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(77),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 998;BA.debugLine="Path1.LineTo(90%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(90),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 999;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1001;BA.debugLine="Else If pole3(2)=2 Then";
}else if(_pole3[(int)(2)]==(int)(2)) { 
 BA.debugLineNum = 1002;BA.debugLine="Path1.Initialize(77%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(77),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1003;BA.debugLine="Path1.LineTo(90%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(90),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1004;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1006;BA.debugLine="Else If pole3(3)=2 Then";
}else if(_pole3[(int)(3)]==(int)(2)) { 
 BA.debugLineNum = 1007;BA.debugLine="Path1.Initialize(77%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(77),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1008;BA.debugLine="Path1.LineTo(90%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(90),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1009;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1011;BA.debugLine="Else If pole3(4)=2 Then";
}else if(_pole3[(int)(4)]==(int)(2)) { 
 BA.debugLineNum = 1012;BA.debugLine="Path1.Initialize(77%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(77),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1013;BA.debugLine="Path1.LineTo(90%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(90),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1014;BA.debugLine="as1.DrawPath(Path1, Colors.green, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1015;BA.debugLine="End If";
};
 BA.debugLineNum = 1020;BA.debugLine="End If";
};
 BA.debugLineNum = 1024;BA.debugLine="If pole3(0)=3 OR pole3(1)=3 OR pole3(2)=3 OR pole3(3)=3 OR pole3(4)=3  Then";
if (_pole3[(int)(0)]==(int)(3) || _pole3[(int)(1)]==(int)(3) || _pole3[(int)(2)]==(int)(3) || _pole3[(int)(3)]==(int)(3) || _pole3[(int)(4)]==(int)(3)) { 
 BA.debugLineNum = 1026;BA.debugLine="If pole3(0)=3 Then";
if (_pole3[(int)(0)]==(int)(3)) { 
 BA.debugLineNum = 1027;BA.debugLine="Path1.Initialize(75%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(75),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 1028;BA.debugLine="Path1.LineTo(94%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(94),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 1029;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1031;BA.debugLine="Else If pole3(1)=3 Then";
}else if(_pole3[(int)(1)]==(int)(3)) { 
 BA.debugLineNum = 1032;BA.debugLine="Path1.Initialize(75%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(75),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 1033;BA.debugLine="Path1.LineTo(94%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(94),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 1034;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1036;BA.debugLine="Else If pole3(2)=3 Then";
}else if(_pole3[(int)(2)]==(int)(3)) { 
 BA.debugLineNum = 1037;BA.debugLine="Path1.Initialize(75%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(75),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1038;BA.debugLine="Path1.LineTo(94%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(94),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1039;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1041;BA.debugLine="Else If pole3(3)=3 Then";
}else if(_pole3[(int)(3)]==(int)(3)) { 
 BA.debugLineNum = 1042;BA.debugLine="Path1.Initialize(75%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(75),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1043;BA.debugLine="Path1.LineTo(94%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(94),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1044;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1046;BA.debugLine="Else If pole3(4)=3 Then";
}else if(_pole3[(int)(4)]==(int)(3)) { 
 BA.debugLineNum = 1047;BA.debugLine="Path1.Initialize(75%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(75),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1048;BA.debugLine="Path1.LineTo(94%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(94),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1049;BA.debugLine="as1.DrawPath(Path1, Colors.blue, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1050;BA.debugLine="End If";
};
 BA.debugLineNum = 1052;BA.debugLine="End If";
};
 BA.debugLineNum = 1056;BA.debugLine="If pole3(0)=4 OR pole3(1)=4 OR pole3(2)=4 OR pole3(3)=4 OR pole3(4)=4  Then";
if (_pole3[(int)(0)]==(int)(4) || _pole3[(int)(1)]==(int)(4) || _pole3[(int)(2)]==(int)(4) || _pole3[(int)(3)]==(int)(4) || _pole3[(int)(4)]==(int)(4)) { 
 BA.debugLineNum = 1061;BA.debugLine="If pole3(0)=4 Then";
if (_pole3[(int)(0)]==(int)(4)) { 
 BA.debugLineNum = 1062;BA.debugLine="Path1.Initialize(72%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(72),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 1063;BA.debugLine="Path1.LineTo(97%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(97),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 1064;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1066;BA.debugLine="Else If pole3(1)=4 Then";
}else if(_pole3[(int)(1)]==(int)(4)) { 
 BA.debugLineNum = 1067;BA.debugLine="Path1.Initialize(72%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(72),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 1068;BA.debugLine="Path1.LineTo(97%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(97),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 1069;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1071;BA.debugLine="Else If pole3(2)=4 Then";
}else if(_pole3[(int)(2)]==(int)(4)) { 
 BA.debugLineNum = 1072;BA.debugLine="Path1.Initialize(72%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(72),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1073;BA.debugLine="Path1.LineTo(97%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(97),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1074;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1076;BA.debugLine="Else If pole3(3)=4 Then";
}else if(_pole3[(int)(3)]==(int)(4)) { 
 BA.debugLineNum = 1077;BA.debugLine="Path1.Initialize(72%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(72),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1078;BA.debugLine="Path1.LineTo(97%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(97),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1079;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1081;BA.debugLine="Else If pole3(4)=4 Then";
}else if(_pole3[(int)(4)]==(int)(4)) { 
 BA.debugLineNum = 1082;BA.debugLine="Path1.Initialize(72%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(72),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1083;BA.debugLine="Path1.LineTo(97%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(97),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1084;BA.debugLine="as1.DrawPath(Path1, Colors.red, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1085;BA.debugLine="End If";
};
 BA.debugLineNum = 1088;BA.debugLine="End If";
};
 BA.debugLineNum = 1091;BA.debugLine="If pole3(0)=5 OR pole3(1)=5 OR pole3(2)=5 OR pole3(3)=5 OR pole3(4)=5 Then";
if (_pole3[(int)(0)]==(int)(5) || _pole3[(int)(1)]==(int)(5) || _pole3[(int)(2)]==(int)(5) || _pole3[(int)(3)]==(int)(5) || _pole3[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 1097;BA.debugLine="If pole3(0)=5 Then";
if (_pole3[(int)(0)]==(int)(5)) { 
 BA.debugLineNum = 1098;BA.debugLine="Path1.Initialize(69%x,38%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(69),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 1099;BA.debugLine="Path1.LineTo(99%x,38%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(99),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(38),mostCurrent.activityBA)));
 BA.debugLineNum = 1100;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1102;BA.debugLine="Else If pole3(1)=5 Then";
}else if(_pole3[(int)(1)]==(int)(5)) { 
 BA.debugLineNum = 1103;BA.debugLine="Path1.Initialize(69%x,43%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(69),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 1104;BA.debugLine="Path1.LineTo(99%x,43%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(99),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(43),mostCurrent.activityBA)));
 BA.debugLineNum = 1105;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1107;BA.debugLine="Else If pole3(2)=5 Then";
}else if(_pole3[(int)(2)]==(int)(5)) { 
 BA.debugLineNum = 1108;BA.debugLine="Path1.Initialize(69%x,48%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(69),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1109;BA.debugLine="Path1.LineTo(99%x,48%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(99),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(48),mostCurrent.activityBA)));
 BA.debugLineNum = 1110;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1112;BA.debugLine="Else If pole3(3)=5 Then";
}else if(_pole3[(int)(3)]==(int)(5)) { 
 BA.debugLineNum = 1113;BA.debugLine="Path1.Initialize(69%x,53%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(69),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1114;BA.debugLine="Path1.LineTo(99%x,53%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(99),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(53),mostCurrent.activityBA)));
 BA.debugLineNum = 1115;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1117;BA.debugLine="Else If pole3(4)=5 Then";
}else if(_pole3[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 1118;BA.debugLine="Path1.Initialize(69%x,58%y)";
_path1.Initialize((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(69),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1119;BA.debugLine="Path1.LineTo(99%x,58%y)";
_path1.LineTo((float)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(99),mostCurrent.activityBA)),(float)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(58),mostCurrent.activityBA)));
 BA.debugLineNum = 1120;BA.debugLine="as1.DrawPath(Path1, Colors.magenta, False, 15dip)";
mostCurrent._as1.DrawPath((android.graphics.Path)(_path1.getObject()),anywheresoftware.b4a.keywords.Common.Colors.Magenta,anywheresoftware.b4a.keywords.Common.False,(float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 1121;BA.debugLine="End If";
};
 BA.debugLineNum = 1125;BA.debugLine="End If";
};
 BA.debugLineNum = 1127;BA.debugLine="Activity.Invalidate";
mostCurrent._activity.Invalidate();
 BA.debugLineNum = 1129;BA.debugLine="End Sub";
return "";
}
public static String  _movex() throws Exception{
int _bot = 0;
int _i = 0;
int _top = 0;
 BA.debugLineNum = 192;BA.debugLine="Dim bot As Int";
_bot = 0;
 BA.debugLineNum = 193;BA.debugLine="Dim i As Int";
_i = 0;
 BA.debugLineNum = 194;BA.debugLine="Dim top As Int";
_top = 0;
 BA.debugLineNum = 198;BA.debugLine="If fr_click=1 AND to_click=2 Then";
if (_fr_click==(int)(1) && _to_click==(int)(2)) { 
 BA.debugLineNum = 201;BA.debugLine="For i=0 To 4";
{
final double step108 = 1;
final double limit108 = (int)(4);
for (_i = (int)(0); (step108 > 0 && _i <= limit108) || (step108 < 0 && _i >= limit108); _i += step108) {
 BA.debugLineNum = 203;BA.debugLine="If pole2(i)=0 Then";
if (_pole2[_i]==(int)(0)) { 
 BA.debugLineNum = 204;BA.debugLine="bot=(i)";
_bot = (_i);
 BA.debugLineNum = 205;BA.debugLine="End If";
};
 BA.debugLineNum = 207;BA.debugLine="Next";
}
};
 BA.debugLineNum = 209;BA.debugLine="For i=0 To 4";
{
final double step113 = 1;
final double limit113 = (int)(4);
for (_i = (int)(0); (step113 > 0 && _i <= limit113) || (step113 < 0 && _i >= limit113); _i += step113) {
 BA.debugLineNum = 210;BA.debugLine="If pole1(i)> 0 Then";
if (_pole1[_i]>(int)(0)) { 
 BA.debugLineNum = 211;BA.debugLine="top=i";
_top = _i;
 BA.debugLineNum = 212;BA.debugLine="Exit";
if (true) break;
 BA.debugLineNum = 213;BA.debugLine="End If";
};
 BA.debugLineNum = 214;BA.debugLine="Next";
}
};
 BA.debugLineNum = 217;BA.debugLine="If bot<>4 AND pole1(top)>pole2(bot+1) Then";
if (_bot!=(int)(4) && _pole1[_top]>_pole2[(int)(_bot+1)]) { 
 BA.debugLineNum = 223;BA.debugLine="touchx=touchx-1";
_touchx = (int)(_touchx-1);
 BA.debugLineNum = 224;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 225;BA.debugLine="Else";
}else {
 BA.debugLineNum = 226;BA.debugLine="pole2(bot)=pole1(top)";
_pole2[_bot] = _pole1[_top];
 BA.debugLineNum = 227;BA.debugLine="pole1(top)=0";
_pole1[_top] = (int)(0);
 BA.debugLineNum = 228;BA.debugLine="End If";
};
 BA.debugLineNum = 234;BA.debugLine="End If";
};
 BA.debugLineNum = 240;BA.debugLine="If fr_click=1 AND to_click=3 Then";
if (_fr_click==(int)(1) && _to_click==(int)(3)) { 
 BA.debugLineNum = 243;BA.debugLine="For i=0 To 4";
{
final double step128 = 1;
final double limit128 = (int)(4);
for (_i = (int)(0); (step128 > 0 && _i <= limit128) || (step128 < 0 && _i >= limit128); _i += step128) {
 BA.debugLineNum = 245;BA.debugLine="If pole3(i)=0 Then";
if (_pole3[_i]==(int)(0)) { 
 BA.debugLineNum = 246;BA.debugLine="bot=(i)";
_bot = (_i);
 BA.debugLineNum = 247;BA.debugLine="End If";
};
 BA.debugLineNum = 249;BA.debugLine="Next";
}
};
 BA.debugLineNum = 251;BA.debugLine="For i=0 To 4";
{
final double step133 = 1;
final double limit133 = (int)(4);
for (_i = (int)(0); (step133 > 0 && _i <= limit133) || (step133 < 0 && _i >= limit133); _i += step133) {
 BA.debugLineNum = 252;BA.debugLine="If pole1(i)> 0 Then";
if (_pole1[_i]>(int)(0)) { 
 BA.debugLineNum = 253;BA.debugLine="top=i";
_top = _i;
 BA.debugLineNum = 254;BA.debugLine="Exit";
if (true) break;
 BA.debugLineNum = 255;BA.debugLine="End If";
};
 BA.debugLineNum = 256;BA.debugLine="Next";
}
};
 BA.debugLineNum = 259;BA.debugLine="If bot<>4 AND pole1(top)>pole3(bot+1) Then";
if (_bot!=(int)(4) && _pole1[_top]>_pole3[(int)(_bot+1)]) { 
 BA.debugLineNum = 261;BA.debugLine="touchx=touchx-1";
_touchx = (int)(_touchx-1);
 BA.debugLineNum = 262;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 264;BA.debugLine="Else";
}else {
 BA.debugLineNum = 265;BA.debugLine="pole3(bot)=pole1(top)";
_pole3[_bot] = _pole1[_top];
 BA.debugLineNum = 266;BA.debugLine="pole1(top)=0";
_pole1[_top] = (int)(0);
 BA.debugLineNum = 267;BA.debugLine="End If";
};
 BA.debugLineNum = 270;BA.debugLine="End If";
};
 BA.debugLineNum = 274;BA.debugLine="If fr_click=2 AND to_click=3 Then";
if (_fr_click==(int)(2) && _to_click==(int)(3)) { 
 BA.debugLineNum = 277;BA.debugLine="For i=0 To 4";
{
final double step148 = 1;
final double limit148 = (int)(4);
for (_i = (int)(0); (step148 > 0 && _i <= limit148) || (step148 < 0 && _i >= limit148); _i += step148) {
 BA.debugLineNum = 279;BA.debugLine="If pole3(i)=0 Then";
if (_pole3[_i]==(int)(0)) { 
 BA.debugLineNum = 280;BA.debugLine="bot=(i)";
_bot = (_i);
 BA.debugLineNum = 281;BA.debugLine="End If";
};
 BA.debugLineNum = 283;BA.debugLine="Next";
}
};
 BA.debugLineNum = 285;BA.debugLine="For i=0 To 4";
{
final double step153 = 1;
final double limit153 = (int)(4);
for (_i = (int)(0); (step153 > 0 && _i <= limit153) || (step153 < 0 && _i >= limit153); _i += step153) {
 BA.debugLineNum = 287;BA.debugLine="If pole2(i)> 0 Then";
if (_pole2[_i]>(int)(0)) { 
 BA.debugLineNum = 288;BA.debugLine="top=i";
_top = _i;
 BA.debugLineNum = 291;BA.debugLine="Exit";
if (true) break;
 BA.debugLineNum = 292;BA.debugLine="End If";
};
 BA.debugLineNum = 294;BA.debugLine="Next";
}
};
 BA.debugLineNum = 296;BA.debugLine="If bot<>4 AND pole2(top)>pole3(bot+1) Then";
if (_bot!=(int)(4) && _pole2[_top]>_pole3[(int)(_bot+1)]) { 
 BA.debugLineNum = 298;BA.debugLine="touchx=touchx-1";
_touchx = (int)(_touchx-1);
 BA.debugLineNum = 299;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 300;BA.debugLine="Else";
}else {
 BA.debugLineNum = 301;BA.debugLine="pole3(bot)=pole2(top)";
_pole3[_bot] = _pole2[_top];
 BA.debugLineNum = 302;BA.debugLine="pole2(top)=0";
_pole2[_top] = (int)(0);
 BA.debugLineNum = 303;BA.debugLine="End If";
};
 BA.debugLineNum = 305;BA.debugLine="End If";
};
 BA.debugLineNum = 308;BA.debugLine="If fr_click=3 AND to_click=1 Then";
if (_fr_click==(int)(3) && _to_click==(int)(1)) { 
 BA.debugLineNum = 311;BA.debugLine="For i=0 To 4";
{
final double step168 = 1;
final double limit168 = (int)(4);
for (_i = (int)(0); (step168 > 0 && _i <= limit168) || (step168 < 0 && _i >= limit168); _i += step168) {
 BA.debugLineNum = 313;BA.debugLine="If pole1(i)=0 Then";
if (_pole1[_i]==(int)(0)) { 
 BA.debugLineNum = 314;BA.debugLine="bot=(i)";
_bot = (_i);
 BA.debugLineNum = 315;BA.debugLine="End If";
};
 BA.debugLineNum = 317;BA.debugLine="Next";
}
};
 BA.debugLineNum = 319;BA.debugLine="For i=0 To 4";
{
final double step173 = 1;
final double limit173 = (int)(4);
for (_i = (int)(0); (step173 > 0 && _i <= limit173) || (step173 < 0 && _i >= limit173); _i += step173) {
 BA.debugLineNum = 320;BA.debugLine="If pole3(i)> 0 Then";
if (_pole3[_i]>(int)(0)) { 
 BA.debugLineNum = 321;BA.debugLine="top=i";
_top = _i;
 BA.debugLineNum = 322;BA.debugLine="Exit";
if (true) break;
 BA.debugLineNum = 323;BA.debugLine="End If";
};
 BA.debugLineNum = 324;BA.debugLine="Next";
}
};
 BA.debugLineNum = 327;BA.debugLine="If bot<>4 AND pole3(top)>pole1(bot+1) Then";
if (_bot!=(int)(4) && _pole3[_top]>_pole1[(int)(_bot+1)]) { 
 BA.debugLineNum = 329;BA.debugLine="touchx=touchx-1";
_touchx = (int)(_touchx-1);
 BA.debugLineNum = 330;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 331;BA.debugLine="Else";
}else {
 BA.debugLineNum = 332;BA.debugLine="pole1(bot)=pole3(top)";
_pole1[_bot] = _pole3[_top];
 BA.debugLineNum = 333;BA.debugLine="pole3(top)=0";
_pole3[_top] = (int)(0);
 BA.debugLineNum = 334;BA.debugLine="End If";
};
 BA.debugLineNum = 338;BA.debugLine="End If";
};
 BA.debugLineNum = 341;BA.debugLine="If fr_click=3 AND to_click=2 Then";
if (_fr_click==(int)(3) && _to_click==(int)(2)) { 
 BA.debugLineNum = 344;BA.debugLine="For i=0 To 4";
{
final double step188 = 1;
final double limit188 = (int)(4);
for (_i = (int)(0); (step188 > 0 && _i <= limit188) || (step188 < 0 && _i >= limit188); _i += step188) {
 BA.debugLineNum = 346;BA.debugLine="If pole2(i)=0 Then";
if (_pole2[_i]==(int)(0)) { 
 BA.debugLineNum = 347;BA.debugLine="bot=(i)";
_bot = (_i);
 BA.debugLineNum = 348;BA.debugLine="End If";
};
 BA.debugLineNum = 350;BA.debugLine="Next";
}
};
 BA.debugLineNum = 352;BA.debugLine="For i=0 To 4";
{
final double step193 = 1;
final double limit193 = (int)(4);
for (_i = (int)(0); (step193 > 0 && _i <= limit193) || (step193 < 0 && _i >= limit193); _i += step193) {
 BA.debugLineNum = 353;BA.debugLine="If pole3(i)> 0 Then";
if (_pole3[_i]>(int)(0)) { 
 BA.debugLineNum = 354;BA.debugLine="top=i";
_top = _i;
 BA.debugLineNum = 355;BA.debugLine="Exit";
if (true) break;
 BA.debugLineNum = 356;BA.debugLine="End If";
};
 BA.debugLineNum = 357;BA.debugLine="Next";
}
};
 BA.debugLineNum = 360;BA.debugLine="If bot<>4 AND pole3(top)>pole2(bot+1) Then";
if (_bot!=(int)(4) && _pole3[_top]>_pole2[(int)(_bot+1)]) { 
 BA.debugLineNum = 362;BA.debugLine="touchx=touchx-1";
_touchx = (int)(_touchx-1);
 BA.debugLineNum = 363;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 364;BA.debugLine="Else";
}else {
 BA.debugLineNum = 365;BA.debugLine="pole2(bot)=pole3(top)";
_pole2[_bot] = _pole3[_top];
 BA.debugLineNum = 366;BA.debugLine="pole3(top)=0";
_pole3[_top] = (int)(0);
 BA.debugLineNum = 367;BA.debugLine="End If";
};
 BA.debugLineNum = 370;BA.debugLine="End If";
};
 BA.debugLineNum = 373;BA.debugLine="If fr_click=2 AND to_click=1 Then";
if (_fr_click==(int)(2) && _to_click==(int)(1)) { 
 BA.debugLineNum = 376;BA.debugLine="For i=0 To 4";
{
final double step208 = 1;
final double limit208 = (int)(4);
for (_i = (int)(0); (step208 > 0 && _i <= limit208) || (step208 < 0 && _i >= limit208); _i += step208) {
 BA.debugLineNum = 378;BA.debugLine="If pole1(i)=0 Then";
if (_pole1[_i]==(int)(0)) { 
 BA.debugLineNum = 379;BA.debugLine="bot=(i)";
_bot = (_i);
 BA.debugLineNum = 380;BA.debugLine="End If";
};
 BA.debugLineNum = 382;BA.debugLine="Next";
}
};
 BA.debugLineNum = 384;BA.debugLine="For i=0 To 4";
{
final double step213 = 1;
final double limit213 = (int)(4);
for (_i = (int)(0); (step213 > 0 && _i <= limit213) || (step213 < 0 && _i >= limit213); _i += step213) {
 BA.debugLineNum = 386;BA.debugLine="If pole2(i)> 0 Then";
if (_pole2[_i]>(int)(0)) { 
 BA.debugLineNum = 387;BA.debugLine="top=i";
_top = _i;
 BA.debugLineNum = 388;BA.debugLine="Exit";
if (true) break;
 BA.debugLineNum = 389;BA.debugLine="End If";
};
 BA.debugLineNum = 391;BA.debugLine="Next";
}
};
 BA.debugLineNum = 395;BA.debugLine="If bot<>4 AND pole2(top)>pole1(bot+1) Then";
if (_bot!=(int)(4) && _pole2[_top]>_pole1[(int)(_bot+1)]) { 
 BA.debugLineNum = 397;BA.debugLine="touchx=touchx-1";
_touchx = (int)(_touchx-1);
 BA.debugLineNum = 398;BA.debugLine="EditText2.text=touchx";
mostCurrent._edittext2.setText((Object)(_touchx));
 BA.debugLineNum = 399;BA.debugLine="Else";
}else {
 BA.debugLineNum = 400;BA.debugLine="pole1(bot)=pole2(top)";
_pole1[_bot] = _pole2[_top];
 BA.debugLineNum = 401;BA.debugLine="pole2(top)=0";
_pole2[_top] = (int)(0);
 BA.debugLineNum = 402;BA.debugLine="End If";
};
 BA.debugLineNum = 404;BA.debugLine="End If";
};
 BA.debugLineNum = 407;BA.debugLine="If rings=3 AND pole3(2)=3 AND pole3(3)=4 AND pole3(4)=5 Then";
if (_rings==(int)(3) && _pole3[(int)(2)]==(int)(3) && _pole3[(int)(3)]==(int)(4) && _pole3[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 408;BA.debugLine="Msgbox(\"You won in \" & touchx & \" moves\",\"\")";
anywheresoftware.b4a.keywords.Common.Msgbox("You won in "+BA.NumberToString(_touchx)+" moves","",mostCurrent.activityBA);
 BA.debugLineNum = 409;BA.debugLine="End If";
};
 BA.debugLineNum = 411;BA.debugLine="If rings=4 AND pole3(1)=2 AND pole3(2)=3 AND pole3(3)=4 AND pole3(4)=5 Then";
if (_rings==(int)(4) && _pole3[(int)(1)]==(int)(2) && _pole3[(int)(2)]==(int)(3) && _pole3[(int)(3)]==(int)(4) && _pole3[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 412;BA.debugLine="Msgbox(\"You won in \" & touchx & \" moves\",\"\")";
anywheresoftware.b4a.keywords.Common.Msgbox("You won in "+BA.NumberToString(_touchx)+" moves","",mostCurrent.activityBA);
 BA.debugLineNum = 413;BA.debugLine="End If";
};
 BA.debugLineNum = 415;BA.debugLine="If rings=5 AND pole3(0)=1 AND pole3(1)=2 AND pole3(2)=3 AND pole3(3)=4 AND pole3(4)=5 Then";
if (_rings==(int)(5) && _pole3[(int)(0)]==(int)(1) && _pole3[(int)(1)]==(int)(2) && _pole3[(int)(2)]==(int)(3) && _pole3[(int)(3)]==(int)(4) && _pole3[(int)(4)]==(int)(5)) { 
 BA.debugLineNum = 416;BA.debugLine="Msgbox(\"You won in \" & touchx & \" moves\",\"\")";
anywheresoftware.b4a.keywords.Common.Msgbox("You won in "+BA.NumberToString(_touchx)+" moves","",mostCurrent.activityBA);
 BA.debugLineNum = 417;BA.debugLine="End If";
};
 BA.debugLineNum = 420;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 BA.debugLineNum = 6;BA.debugLine="Dim back As Bitmap";
_back = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 BA.debugLineNum = 8;BA.debugLine="Dim Rect As Rect";
_rect = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper();
 BA.debugLineNum = 9;BA.debugLine="Dim x, y As Int";
_x = 0;
_y = 0;
 BA.debugLineNum = 10;BA.debugLine="Dim boxSize As Int";
_boxsize = 0;
 BA.debugLineNum = 11;BA.debugLine="boxSize = 20dip";
_boxsize = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20));
 BA.debugLineNum = 12;BA.debugLine="Dim pole1(5) As Int";
_pole1 = new int[(int)(5)];
;
 BA.debugLineNum = 13;BA.debugLine="Dim pole2(5) As Int";
_pole2 = new int[(int)(5)];
;
 BA.debugLineNum = 14;BA.debugLine="Dim pole3(5) As Int";
_pole3 = new int[(int)(5)];
;
 BA.debugLineNum = 17;BA.debugLine="End Sub";
return "";
}
public static String  _spinner1_itemclick(int _position,Object _value) throws Exception{
 BA.debugLineNum = 72;BA.debugLine="rings=Value";
_rings = (int)(BA.ObjectToNumber(_value));
 BA.debugLineNum = 74;BA.debugLine="If rings=3 Then";
if (_rings==(int)(3)) { 
 BA.debugLineNum = 75;BA.debugLine="EditText1.text=7";
mostCurrent._edittext1.setText((Object)(7));
 BA.debugLineNum = 76;BA.debugLine="Else If rings=4 Then";
}else if(_rings==(int)(4)) { 
 BA.debugLineNum = 77;BA.debugLine="EditText1.text=15";
mostCurrent._edittext1.setText((Object)(15));
 BA.debugLineNum = 78;BA.debugLine="Else If rings=5 Then";
}else if(_rings==(int)(5)) { 
 BA.debugLineNum = 79;BA.debugLine="EditText1.text=31";
mostCurrent._edittext1.setText((Object)(31));
 BA.debugLineNum = 80;BA.debugLine="End If";
};
 BA.debugLineNum = 82;BA.debugLine="button1_click";
_button1_click();
 BA.debugLineNum = 84;BA.debugLine="End Sub";
return "";
}
public static String  _statusx() throws Exception{
anywheresoftware.b4a.objects.drawable.CanvasWrapper.PathWrapper _path1 = null;
 BA.debugLineNum = 426;BA.debugLine="If pole1(0)>0 Then";
if (_pole1[(int)(0)]>(int)(0)) { 
 BA.debugLineNum = 427;BA.debugLine="top1=pole1(0)";
_top1 = _pole1[(int)(0)];
 BA.debugLineNum = 429;BA.debugLine="Else If pole1(1)>0 Then";
}else if(_pole1[(int)(1)]>(int)(0)) { 
 BA.debugLineNum = 430;BA.debugLine="top1=pole1(1)";
_top1 = _pole1[(int)(1)];
 BA.debugLineNum = 432;BA.debugLine="Else If pole1(2)>0 Then";
}else if(_pole1[(int)(2)]>(int)(0)) { 
 BA.debugLineNum = 433;BA.debugLine="top1=pole1(2)";
_top1 = _pole1[(int)(2)];
 BA.debugLineNum = 435;BA.debugLine="Else If pole1(3)>0 Then";
}else if(_pole1[(int)(3)]>(int)(0)) { 
 BA.debugLineNum = 436;BA.debugLine="top1=pole1(3)";
_top1 = _pole1[(int)(3)];
 BA.debugLineNum = 438;BA.debugLine="Else If pole1(4)>0 Then";
}else if(_pole1[(int)(4)]>(int)(0)) { 
 BA.debugLineNum = 439;BA.debugLine="top1=pole1(4)";
_top1 = _pole1[(int)(4)];
 BA.debugLineNum = 441;BA.debugLine="End If";
};
 BA.debugLineNum = 445;BA.debugLine="If pole2(0)>0 Then";
if (_pole2[(int)(0)]>(int)(0)) { 
 BA.debugLineNum = 446;BA.debugLine="top2=pole2(0)";
_top2 = _pole2[(int)(0)];
 BA.debugLineNum = 448;BA.debugLine="Else If pole2(1)>0 Then";
}else if(_pole2[(int)(1)]>(int)(0)) { 
 BA.debugLineNum = 449;BA.debugLine="top2=pole2(1)";
_top2 = _pole2[(int)(1)];
 BA.debugLineNum = 451;BA.debugLine="Else If pole2(2)>0 Then";
}else if(_pole2[(int)(2)]>(int)(0)) { 
 BA.debugLineNum = 452;BA.debugLine="top2=pole2(2)";
_top2 = _pole2[(int)(2)];
 BA.debugLineNum = 454;BA.debugLine="Else If pole2(3)>0 Then";
}else if(_pole2[(int)(3)]>(int)(0)) { 
 BA.debugLineNum = 455;BA.debugLine="top2=pole2(3)";
_top2 = _pole2[(int)(3)];
 BA.debugLineNum = 457;BA.debugLine="Else If pole2(4)>0 Then";
}else if(_pole2[(int)(4)]>(int)(0)) { 
 BA.debugLineNum = 458;BA.debugLine="top2=pole2(4)";
_top2 = _pole2[(int)(4)];
 BA.debugLineNum = 462;BA.debugLine="End If";
};
 BA.debugLineNum = 465;BA.debugLine="If pole3(0)>0 Then";
if (_pole3[(int)(0)]>(int)(0)) { 
 BA.debugLineNum = 466;BA.debugLine="top3=pole3(0)";
_top3 = _pole3[(int)(0)];
 BA.debugLineNum = 468;BA.debugLine="Else If pole3(1)>0 Then";
}else if(_pole3[(int)(1)]>(int)(0)) { 
 BA.debugLineNum = 469;BA.debugLine="top3=pole3(1)";
_top3 = _pole3[(int)(1)];
 BA.debugLineNum = 471;BA.debugLine="Else If pole3(2)>0 Then";
}else if(_pole3[(int)(2)]>(int)(0)) { 
 BA.debugLineNum = 472;BA.debugLine="top3=pole3(2)";
_top3 = _pole3[(int)(2)];
 BA.debugLineNum = 474;BA.debugLine="Else If pole3(3)>0 Then";
}else if(_pole3[(int)(3)]>(int)(0)) { 
 BA.debugLineNum = 475;BA.debugLine="top3=pole3(3)";
_top3 = _pole3[(int)(3)];
 BA.debugLineNum = 477;BA.debugLine="Else If pole3(4)>0 Then";
}else if(_pole3[(int)(4)]>(int)(0)) { 
 BA.debugLineNum = 478;BA.debugLine="top3=pole3(4)";
_top3 = _pole3[(int)(4)];
 BA.debugLineNum = 482;BA.debugLine="End If";
};
 BA.debugLineNum = 485;BA.debugLine="as1.Initialize(Activity) 'Initialize the as (drawer) and makes it draw on the activity (form).";
mostCurrent._as1.Initialize((android.view.View)(mostCurrent._activity.getObject()));
 BA.debugLineNum = 486;BA.debugLine="as1.DrawBitmap(back, Null, Rect)";
mostCurrent._as1.DrawBitmap((android.graphics.Bitmap)(_back.getObject()),(android.graphics.Rect)(anywheresoftware.b4a.keywords.Common.Null),(android.graphics.Rect)(_rect.getObject()));
 BA.debugLineNum = 490;BA.debugLine="Dim path1 As Path";
_path1 = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.PathWrapper();
 BA.debugLineNum = 492;BA.debugLine="move_it";
_move_it();
 BA.debugLineNum = 494;BA.debugLine="Activity.Invalidate";
mostCurrent._activity.Invalidate();
 BA.debugLineNum = 498;BA.debugLine="End Sub";
return "";
}
}
